import { VjChatSDK } from "../chat/sdk";
import vjmap from "vjmap";
import vjcommon from "vjcommon";
// 初始化地图执行代码
export const onInitMap = async (map: vjmap.Map, mapSDK: VjChatSDK, context: Record<string, any>) => {
  // 初始的代码
  // 增加鼠标位置控件
  mapSDK.addMousePositionControl({ position: 'bottom-right' });
 
  // 增加相关菜单命令示例
  mapSDK.context.ui.addMenuItem('放大', () => {
    map.zoomIn();
  });
  mapSDK.context.ui.addMenuItem('缩小', () => {
    map.zoomOut();
  });
}

